import sys
import os
import math
import time
import string
import random
from statistics import *
from numpy.random import randn
sys.path.insert(0, os.path.abspath(os.path.join(os.path.dirname(__file__), '..')))
from zetane import context as ztn
import noise
import numpy as np

# Launch zetane session
zcontext = ztn.Context().launch()
target_updates_per_second = 120.0
framecount = 0

# Example chart
zchart = zcontext.chart()  # enables auto update()
zchart.color(0.6, .5, .7)
zchart.position(-20, 0, -10)
zchart.heightmap()


shape = (1024, 1024)
scale = 100.0
octaves = 6
persistence = 0.5
lacunarity = 2.0
data_points = np.zeros(400)
# Main loop
start = 0

while zcontext.running():
  data_points = [noise.pnoise1(i / scale) for i in range(start, start + 400)]
  zchart.set_points(data_points)
  zchart.update()
  start += 1

  time.sleep(1.0 / target_updates_per_second)

  framecount += 1
  

# Exit
print("Zetane session ended. Goodbye!")
