import unittest
from zetane import context as ztn

class TestDashboard(unittest.TestCase):

    def setUp(self):
        self.zcontext = ztn.Context()
        self.target_updates_per_second = 5.0
        self.framecount = 0

    def tearDown(self):
        self.zcontext.clear_universe()
        self.zcontext.disconnect()
        self.framecount = 0

    def test_dashboard(self):
        # create pie chart
        zPieChart = self.zcontext.pie_chart()
        zPieChart.position(0, 15, -5)
        label_value_list = {'Your' : 6, 'Data' : 6, 'Would' : 2, 'Look' : 6, 'Good' : 0, 'Here' : 6}
        zPieChart.pielabels(label_value_list)

        # create chart
        zchart = self.zcontext.chartDEPRECATED()
        zchart.color(0.6, .5, .7)
        zchart.position(-10, 0, -10)
        zchart.smooth()

        # create dial
        zDial = self.zcontext.dial()
        zDial.position(-10, 15, -5)
        zDial.scale(2, 2, 2)

        while self.framecount < 10:
            zDial.set_max(10)
            zDial.set_indicator_value(self.framecount % 11)
            zDial.update()

            data_points = [x * 1.2 for x in randn(6).tolist()]
            labeled_points = {}
            counter = 0
            for label in label_value_list:
                labeled_points[label] = data_points[counter]
                counter += 1
            zPieChart.pielabels(labeled_points)
            zPieChart.update()

            chart_points = [x * 1.2 for x in randn(40).tolist()]
            zchart.points(chart_points)
            zchart.update()

            time.sleep(1.0 / self.target_updates_per_second)
            self.framecount += 1
