import math
import time
import string
import random
from statistics import *
from numpy.random import randn

import os
import sys
this_dir = os.path.dirname(__file__)
sys.path.insert(0, os.path.abspath(os.path.join(this_dir, '..')))
from zetane import context as ztn

# Launch zetane session
zcontext = ztn.Context().launch()
target_updates_per_second = 10.0
framecount = 0

# Example pointcloud
zpointcloud = zcontext.pointcloud(this_dir + "/data/Male_figure_16k.obj")
zpointcloud.position(z=-5)
zpointcloud.update()

# Update loop
i = 0.0
while zcontext.running():
    zpointcloud.point_is_deep(math.sin(i/2500.0) > 0)
    zpointcloud.point_is_circle(math.sin(i/5000.0) > 0)
    zpointcloud.point_size(math.fabs(math.sin(i/2500.0)))
    zpointcloud.update()
    i += 1

# Exit
print("Zetane session ended. Goodbye!")